Get the state of gateways in a location
get
Authorizations
defguard_sessionstringRequired
Path parameters
network_idinteger · int64Required
ID of the network.
Responses
200
Gateway status in the location.
application/json
addressstringRequired
certificate_expirystring · nullableOptional
certificate_serialstring · nullableOptional
connectedbooleanRequired
connected_atstring · nullableOptional
disconnected_atstring · nullableOptional
enabledbooleanRequired
idinteger · int64Required
location_idinteger · int64Required
location_namestringRequired
modified_atstring · date-timeRequired
modified_bystringRequired
namestringRequired
portinteger · int32Required
versionstring · nullableOptional
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
404
Network not found.
application/json
500
Unable to get gateway status.
application/json
get/api/v1/network/{network_id}/gateways
GET /api/v1/network/{network_id}/gateways HTTP/1.1
Accept: */*
[
{
"address": "text",
"certificate_expiry": null,
"certificate_serial": null,
"connected": true,
"connected_at": null,
"disconnected_at": null,
"enabled": true,
"id": 1,
"location_id": 1,
"location_name": "text",
"modified_at": "2026-01-01T00:00:00.000Z",
"modified_by": "text",
"name": "text",
"port": 1,
"version": null
}
]Last updated
Was this helpful?